com.mysql.cj

## Interface PreparedQuery

All Superinterfaces:
  Query

    public interface PreparedQuery
    extends Query

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.mysql.cj.Query

`Query.CancelStatus`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `asSql()`
`void` `checkNullOrEmptyQuery(String sql)`
`int` `computeBatchSize(int numBatchedArgs)`
`<M extends Message> M` `fillSendPacket(QueryBindings bindings)`
`int` `getBatchCommandIndex()`
`String` `getOriginalSql()`
`int` `getParameterCount()`
`QueryBindings` `getQueryBindings()`
`QueryInfo` `getQueryInfo()`
`void` `setBatchCommandIndex(int batchCommandIndex)`
`void` `setOriginalSql(String originalSql)`
`void` `setParameterCount(int parameterCount)`
`void` `setQueryBindings(QueryBindings queryBindings)`
`void` `setQueryInfo(QueryInfo queryInfo)`

### Methods inherited from interface com.mysql.cj.Query

`addBatch, checkCancelTimeout, clearBatchedArgs, closeQuery, getBatchedArgs, getCancelTimeoutMutex, getCurrentDatabase, getExecuteTime, getId, getQueryAttributesBindings, getResultFetchSize, getResultSetFactory, getResultType, getSession, getStatementExecuting, getTimeoutInMillis, isClearWarningsCalled, resetCancelledState, setCancelStatus, setClearWarningsCalled, setCurrentDatabase, setExecuteTime, setResultFetchSize, setResultType, setTimeoutInMillis, startQueryTimer, statementBegins, stopQueryTimer`

### Method Detail

#### getQueryInfo

    QueryInfo getQueryInfo()

#### setQueryInfo

    void setQueryInfo(QueryInfo queryInfo)

#### checkNullOrEmptyQuery

    void checkNullOrEmptyQuery(String sql)

#### getOriginalSql

    String getOriginalSql()

#### setOriginalSql

    void setOriginalSql(String originalSql)

#### getParameterCount

    int getParameterCount()

#### setParameterCount

    void setParameterCount(int parameterCount)

#### getQueryBindings

    QueryBindings getQueryBindings()

#### setQueryBindings

    void setQueryBindings(QueryBindings queryBindings)

#### computeBatchSize

    int computeBatchSize(int numBatchedArgs)

#### getBatchCommandIndex

    int getBatchCommandIndex()

#### setBatchCommandIndex

    void setBatchCommandIndex(int batchCommandIndex)

#### asSql

    String asSql()

#### fillSendPacket

    <M extends Message> M fillSendPacket(QueryBindings bindings)

Copyright © 2016, 2024, Oracle and/or its affiliates.